summaryrefslogtreecommitdiff
path: root/build-android
diff options
context:
space:
mode:
authorCody Northrop <cnorthrop@google.com>2017-04-17 09:35:43 -0600
committerCody Northrop <cnorthrop@google.com>2017-04-18 10:47:32 -0600
commitbe9b7c8274efebd4af538b58f8c759b84ad3c818 (patch)
tree298e82cd86e967a88e513b3cf3f6e6d73e3552c6 /build-android
parent4b1fdeb53926874ca8dc18c4c5ad0c7aa2a08eef (diff)
android: Add script that installs APKs
Diffstat (limited to 'build-android')
-rwxr-xr-xbuild-android/install_all.sh80
1 files changed, 80 insertions, 0 deletions
diff --git a/build-android/install_all.sh b/build-android/install_all.sh
new file mode 100755
index 00000000..0e362e6f
--- /dev/null
+++ b/build-android/install_all.sh
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+# Copyright 2017 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+#
+# Parse parameters
+#
+
+function printUsage {
+ echo "Supported parameters are:"
+ echo " -s|--serial <target device serial number> (optional)"
+ echo
+ echo "i.e. ${0##*/} -s <serial number>"
+ exit 1
+}
+
+if [[ $(($# % 2)) -ne 0 ]]
+then
+ echo Parameters must be provided in pairs.
+ echo parameter count = $#
+ echo
+ printUsage
+ exit 1
+fi
+
+while [[ $# -gt 0 ]]
+do
+ case $1 in
+ -s|--serial)
+ # include the flag, because we need to leave it off if not provided
+ serial="$2"
+ shift 2
+ ;;
+ -*)
+ # unknown option
+ echo Unknown option: $1
+ echo
+ printUsage
+ exit 1
+ ;;
+ esac
+done
+
+if [[ $serial ]]; then
+ echo serial = "${serial}"
+ serialFlag="-s $serial"
+ if [[ $(adb devices) != *"$serial"* ]]
+ then
+ echo Device not found: "${serial}"
+ echo
+ printUsage
+ exit 1
+ fi
+else
+ echo Using device $(adb get-serialno)
+fi
+
+# Install everything built by build_all.sh
+echo "adb $serialFlag install -r bin/VulkanLayerValidationTests.apk"
+adb $serialFlag install -r bin/VulkanLayerValidationTests.apk
+echo "adb $serialFlag install -r ../demos/android/cube/bin/cube.apk"
+adb $serialFlag install -r ../demos/android/cube/bin/cube.apk
+echo "adb $serialFlag install -r ../demos/android/cube-with-layers/bin/cube-with-layers.apk"
+adb $serialFlag install -r ../demos/android/cube-with-layers/bin/cube-with-layers.apk
+
+exit $?